package com.yidianling.router.user

import android.app.Activity
import android.content.Context
import android.content.Intent
import com.yidianling.router.iRouter.BaseRouter

/**
 * author : Zhangwenchao
 * e-mail : zhangwch@yidianling.com
 * time   : 2018/04/13
 */
interface IUserRouter : BaseRouter {

    // 是否已登录
    fun isLogin(): Boolean

    fun isFirstLogin(): Boolean

    fun setFirstLogin(first: Boolean)

    fun isSafePrivacyClicked(): Boolean

    fun putSafePrivacyClicked(clicked: Boolean)

    fun setUserResponse(userInfo: UserResponse?)

    fun getUserInfo(): UserResponse.UserInfo?

    fun getUserResponse() : UserResponse?

    fun getUserSetting():UserSetting?

    fun isBindPhone(): Boolean

    fun putUnlockCheckSuccessTime(time: Long)

    fun getChatTeamHisShow(): Boolean

    fun setChatTeamHisShowed(showed : Boolean)

    // 跳转到隐私界面的 Activity
    fun privacyIntent(activity: Activity): Intent

    fun loginWayIntent(context: Context): Intent

    fun inputPhoneIntent(activity: Activity, smsAction: String): Intent

    fun safeTipViewGone(): Boolean

    fun setTrendsSafeTip(status: Boolean)

    fun errorAgainTime(): Long

    fun isFirstStart(): Boolean

    fun updateUserInfoSp(userInfo: UserResponse.UserInfo?)

    fun updateUserSetingSp(userSetting: UserSetting?)

    fun clearUserInfo()
}